<?php

namespace Wechat\Work;


class User
{

    /**
     * @var Work
     */
    protected $work;

    public function __construct($work)
    {
        $this->work = $work;
    }

    public function getUserByCode($code)
    {
        $request = $this->work->transformForGetRequest('user/getuserinfo', [
            'code' => $code,
        ]);
        return $this->work->request($request);
    }

    public function get($id)
    {
        $request = $this->work->transformForGetRequest('user/get', [
            'userid' => $id,
        ]);
        return $this->work->request($request);
    }

}